// MPDUpdateDlg.h : header file
//

#if !defined(AFX_MPDUPDATEDLG_H__0095789A_A062_11D3_95FB_009027106653__INCLUDED_)
#define AFX_MPDUPDATEDLG_H__0095789A_A062_11D3_95FB_009027106653__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resizer.h"

/////////////////////////////////////////////////////////////////////////////
// CMPDUpdateDlg dialog

class CMPDUpdateDlg : public CDialog
{
    // Construction
public:
	void GetHostConfig(const char *host);
	void SetYellowLight();
	void SetGreenLight();
	void SetRedLight();
	bool GetTmpMpdFromURL();
    CMPDUpdateDlg(CWnd* pParent = NULL);	// standard constructor
    
    HANDLE m_hFindThread, m_hUpdateBtnThread;
    DWORD m_num_threads;
    int m_nPort;
    char m_pszHost[100];
    char m_pszPhrase[100];
    bool m_bNeedPassword;
    bool m_bUseDefault;
    CString m_localfile;
    void ParseRegistry();
    
    Resizer rOk, rCancel;
    Resizer r1Static, rRefresh, rList, rBox, rDomain, rStatic;
    Resizer r2Static, rPwdStatic, rPhraseStatic, rPwdRadio, rPhrase, rDefaultRadio;
    Resizer rSourceStatic, rFileRadio, rFileName, rFileBrowse, rURLRadio, rURL, rANL;
    Resizer rUpdate, rUpdateStatic, rUpdateOne, rUpdateOneStatic, rStopLightRed, rStopLightYellow, rStopLightGreen;
    Resizer rCredentialsStatic, rCredPwdStatic, rCredPassword, rCredBox, rCredAccountStatic, rCredAccount;
    Resizer rShowHostChk, rHostConfig;

    int m_nMinWidth, m_nMinHeight;

    // Dialog Data
    //{{AFX_DATA(CMPDUpdateDlg)
	enum { IDD = IDD_MPDUPDATE_DIALOG };
	CStatic	m_credentials_static;
	CStatic	m_cred_pwd_static;
	CEdit	m_cred_password_edit;
	CButton	m_cred_box_static;
	CStatic	m_cred_account_static;
	CEdit	m_cred_account_edit;
	CStatic	m_update_static;
	CStatic	m_update_one_static;
	CButton	m_update_one_btn;
	CButton	m_update_btn;
	CButton	m_source_static;
	CEdit	m_url_edit;
	CEdit	m_file_edit;
	CButton	m_file_browse_btn;
	CButton	m_anl_btn;
	CButton	m_verify_btn;
	CButton	m_show_host_chk;
	CEdit	m_host_config_edit;
	CStatic	m_stoplight_yellow;
	CStatic	m_stoplight_green;
	CStatic	m_stoplight_red;
	CButton	m_two_static;
	CStatic	m_pwd_static;
	CButton	m_phrase_static;
	CButton	m_one_static;
	CEdit	m_pwd_ctrl;
	CEdit	m_domain_edit;
	CEdit	m_static_edit;
    CButton	m_ok_btn;
    CButton	m_cancel_btn;
    CButton	m_edit_add_btn;
    CListBox	m_host_list;
    CButton	m_refresh_btn;
    CButton	m_find_btn;
    CListBox	m_list;
	CString	m_domain;
	CString	m_static;
	CString	m_password;
	CString	m_host_config;
	BOOL	m_bShowHostConfig;
	CString	m_filename;
	CString	m_urlname;
	CString	m_hostname;
	CButton m_file_radio;
	CButton m_url_radio;
	CButton m_pwd_radio;
	CButton m_default_radio;
	CString	m_cred_account;
	CString	m_cred_password;
	//}}AFX_DATA
    
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CMPDUpdateDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
    virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
    //}}AFX_VIRTUAL
    
    // Implementation
protected:
    HICON m_hIcon;
    
    // Generated message map functions
    //{{AFX_MSG(CMPDUpdateDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnFindBtn();
    afx_msg void OnRefreshBtn();
    afx_msg void OnUpdateBtn();
    afx_msg void OnEditAddBtn();
    afx_msg int OnVKeyToItem(UINT nKey, CListBox* pListBox, UINT nIndex);
    afx_msg void OnClose();
    afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPhraseRadio();
	afx_msg void OnDefaultPwdRadio();
	afx_msg void OnShowHostChk();
	afx_msg void OnSelchangeHostList();
	afx_msg void OnVerifyBtn();
	afx_msg void OnUpdateOneBtn();
	afx_msg void OnAnlBtn();
	afx_msg void OnFileBrowseBtn();
	afx_msg void OnURLRadio();
	afx_msg void OnFileRadio();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MPDUPDATEDLG_H__0095789A_A062_11D3_95FB_009027106653__INCLUDED_)
